## org.apache.aries.subsystem.core.internal
Class SecurityManager

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SecurityManager

    public class SecurityManager

extends Object

Constructor Summary
`SecurityManager()`

Method Summary
`static void` `checkContextPermission(org.osgi.service.subsystem.Subsystem subsystem)`
`static void` `checkExecutePermission(org.osgi.service.subsystem.Subsystem subsystem)`
`static void` `checkLifecyclePermission(org.osgi.service.subsystem.Subsystem subsystem)`
`static void` `checkMetadataPermission(org.osgi.service.subsystem.Subsystem subsystem)`
`static void` `checkPermission(org.osgi.service.subsystem.SubsystemPermission permission)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityManager

    public SecurityManager()

Method Detail

### checkContextPermission

    public static void checkContextPermission(org.osgi.service.subsystem.Subsystem subsystem)

### checkExecutePermission

    public static void checkExecutePermission(org.osgi.service.subsystem.Subsystem subsystem)

### checkLifecyclePermission

    public static void checkLifecyclePermission(org.osgi.service.subsystem.Subsystem subsystem)

### checkMetadataPermission

    public static void checkMetadataPermission(org.osgi.service.subsystem.Subsystem subsystem)

### checkPermission

    public static void checkPermission(org.osgi.service.subsystem.SubsystemPermission permission)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.